{
  pkgs ? import <nixpkgs> { },
  lib ? pkgs.lib,
  nix-unit ? pkgs.nix-unit,
}:

let
  luaUtils = import ./pkgs/luaUtils.nix { inherit lib pkgs; };
  lazyUtils = import ./pkgs/lazyUtils.nix { inherit lib luaUtils pkgs; };
  wrapNeovimLazy = pkgs.callPackage ./pkgs/wrapper.nix { inherit lazyUtils; };
  legacyPackages = {
    inherit wrapNeovimLazy;
    neovim-lazy = wrapNeovimLazy pkgs.neovim-unwrapped { };
  };
in
{
  # https://github.com/NixOS/rfcs/pull/166
  formatter = pkgs.nixfmt-rfc-style;
  apps = {
    tests = {
      type = "app";
      program =
        (pkgs.writeScript "nix-unit" ''
          ${nix-unit}/bin/nix-unit --flake '.#tests'
        '').outPath;
    };
  };

  inherit legacyPackages;
  packages = lib.filterAttrs (name: value: lib.isDerivation value) legacyPackages;
}
